no such file to load - install redmine on aix 6.1
Status: Closed Start date: 2011-05-25

Priority: Normal Due date:  

Assignee: Etienne Massip % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I'm trying to install redmine-1.1.3.

And when I tried to do "rake generate_session_store",

error msg below is shown.

My environment is belows.

- ruby-1.8.7-p334

- rails 2.3.5

- rubygems-1.8.3

- AIX 6.1.0.0

- mysql-5.1.55

Pls help me how to figure out this problem.

---------------------------------------------------------------

Gem::SourceIndex#add_spec called from /usr/local/ruby/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011-11-01.

Gem::SourceIndex#add_spec called from /usr/local/ruby/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011-11-01.

Gem::SourceIndex#add_spec called from /usr/local/ruby/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011-11-01.

Gem::SourceIndex#add_spec called from /usr/local/ruby/lib/ruby/site_ruby/1.8/rubygems/source_index.rb:91.

rake/rdoctask is deprecated.  Use rdoc/task instead (in RDoc 2.4.2+)

rake aborted!

no such file to load -- active_support

/usr/local/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:59:in `gem_original_require'

/usr/local/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:59:in `require'

/tx/redmine-1.1.3/vendor/rails/railties/lib/tasks/misc.rake:18

/tx/redmine-1.1.3/vendor/rails/railties/lib/tasks/rails.rb:4:in `load'

/tx/redmine-1.1.3/vendor/rails/railties/lib/tasks/rails.rb:4

/tx/redmine-1.1.3/vendor/rails/railties/lib/tasks/rails.rb:4:in `each'

/tx/redmine-1.1.3/vendor/rails/railties/lib/tasks/rails.rb:4

/usr/local/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'

/usr/local/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'

/tx/redmine-1.1.3/Rakefile:10

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.9.0/lib/rake/rake_module.rb:25:in `load'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.9.0/lib/rake/rake_module.rb:25:in `load_rakefile'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.9.0/lib/rake/application.rb:495:in `raw_load_rakefile'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.9.0/lib/rake/application.rb:78:in `load_rakefile'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.9.0/lib/rake/application.rb:129:in `standard_exception_handling'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.9.0/lib/rake/application.rb:77:in `load_rakefile'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.9.0/lib/rake/application.rb:61:in `run'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.9.0/lib/rake/application.rb:129:in `standard_exception_handling'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.9.0/lib/rake/application.rb:59:in `run'

/usr/local/ruby/lib/ruby/gems/1.8/gems/rake-0.9.0/bin/rake:31

/usr/local/ruby/bin/rake:19:in `load'

/usr/local/ruby/bin/rake:19
#1 - 2011-05-25 12:08 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Actually, RubyGems 1.8 (and 1.7 ?) is not supported by Rails 2.3 / Redmine, so you should downgrade to 1.5 / 1.6

#2 - 2011-05-25 16:17 - Hyosang Yoo

- Status changed from Closed to Reopened

- Assignee set to Etienne Massip

Thank you for your answer. The msg "no such file to load -- active_support" was repeated when installed 1.5.3, 1.4.7.

When RubyGems 1.3.5 was installed the msg was gone, but another msg below is shown

----------------------------------------------------------------------

rake generate_session_store

 rake aborted!

no such file to load -- hoe

(See full trace by running task with --trace)

----------------------------------------------------------------------

#3 - 2011-05-25 16:21 - Etienne Massip

What's your gem list ?

#4 - 2011-05-26 01:20 - Hyosang Yoo

My gem list is below. Thank you~

-------------------------------------

1. gem list

LOCAL GEMS ***

actionmailer (2.3.5)

actionpack (2.3.5)

activerecord (2.3.5)

activeresource (2.3.5)

activesupport (2.3.5)

i18n (0.4.2)

mysql (2.8.1)

rack (1.0.1)

rails (2.3.5)

rake (0.9.0)

#5 - 2011-05-26 04:33 - Hyosang Yoo

Just a moment age, I removed and reinstalled ruby-1.8.7-p334, rubygems-1.3.5,

rails 2.3.5. The msg "no such file to load -- active_support" was appeared again.

------------------------------------------------------------------------------------

rake generate_session_store

rake/rdoctask is deprecated.  Use rdoc/task instead (in RDoc 2.4.2+)

rake aborted!

no such file to load -- active_support

(See full trace by running task with --trace)

gem list

LOCAL GEMS ***

actionmailer (2.3.5)

actionpack (2.3.5)

activerecord (2.3.5)

activeresource (2.3.5)

activesupport (2.3.5)

i18n (0.4.2)

mysql (2.8.1)
rack (1.0.1)

rails (2.3.5)

rake (0.9.0)

------------------------------------------------------------------------------------

#6 - 2011-05-26 10:21 - Etienne Massip

Try with rake 0.8.3 ?

#7 - 2011-05-26 11:04 - Hyosang Yoo

Thank you for your reply. But the same msg is shown....

--------------------------------------------------------------------

u-eco:/tx/redmine-1.1.3>rake generate_session_store

(in /tx/redmine-1.1.3)

rake aborted!

no such file to load -- active_support

/tx/redmine-1.1.3/Rakefile:10

(See full trace by running task with --trace)

u-eco:/tx/redmine-1.1.3>gem list

LOCAL GEMS ***

actionmailer (2.3.5)

actionpack (2.3.5)

activerecord (2.3.5)

activeresource (2.3.5)

activesupport (2.3.5)

i18n (0.4.2)

mysql (2.8.1)

rack (1.0.1)

rails (2.3.5)

rake (0.8.3)

#8 - 2011-05-27 08:52 - Etienne Massip

Sometimes gem update --system downgrade gives a messy result, did you try with a bare RubyGems < 1.7 installation ?

#9 - 2011-05-27 13:49 - Hyosang Yoo

Thank you for your reply.

I removed and reinstalled RubyGem in order belows,

1) Removed rubygem.rb, ubygems.rb files and rubygems directory

------------------------------------------------------------

u-eco:/usr/local/ruby/lib/ruby/site_ruby/1.8>ls

gauntlet_rubygems.rb  rs6000-aix            rubygems.rb

rbconfig              rubygems              ubygems.rb

------------------------------------------------------------

2) Removed gems directory

------------------------------------------------------------

u-eco:/usr/local/ruby/lib/ruby>ls

1.8          gems         site_ruby    vendor_ruby

------------------------------------------------------------

3) Installed RubyGem.

Are there any wrong tasks in my RubyGem reinstallation?

Just a moment ago, I reinstalled RubyGem in order above.

But the msg "no such file to load -- active_support" is shown again.

Thank you for your help~

#10 - 2011-07-09 16:16 - Etienne Massip

Did you manage to get it work ?

#11 - 2011-11-17 20:43 - Etienne Massip

- Status changed from Reopened to Closed
